@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

*{
    top: 0;
    left: 0;
    margin: 0;
    font-family: "Montserrat", sans-serif;
    text-decoration: none;
    list-style: none;
}

html{
    scroll-behavior: smooth;
}

a{
    color: var(--white);
}

/* section{
    width: 100%;
} */

:root{
    --black : black;
    --white : white;
    --or : rgb(243, 206, 88);
    --boxshadow : black 2px 3px 15px;
}
body{
    height: 100%;
    /* display: flex;
    flex-direction: column;
    align-items: center; */
}

p{
    font-size: 0.8rem;
    padding-left: 10px;
    padding-right: 10px;
}

header{
    position: fixed;
    height: 50px;
    width: 100%;
    background-color: var(--black);
    color: var(--white);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 100;
}

header nav {
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

header nav ul{
    display: flex;
    list-style: none;
}

header nav #menu{
    display: none;
}

header nav ul .btns{
    padding: 0px 8px 0px 8px;
}

header nav ul .btns a:hover{
    cursor: pointer;
    transition: 0.5s;
    color: var(--or);
}

.phonemenubtns{
    position: fixed;
    margin-top: -170px;
    width: 100%;
    height: 120px;
    background-color: black;
    z-index: 1000;
    display: flex;
    flex-direction: column;
    padding-left: 30px;
}

.phonemenubtns .btns{
    padding: 8px 0px 0px 8px;
    border-bottom: 1px var(--or) solid;
}


.phonemenubtns .btns a{
    font-size: 40px;
}



.phonemenubtns .btns :hover{
    cursor: pointer;
    transition: 0.5s;
    color: var(--or);
}

.showmenu{
    margin-top: 50px;
    transition: ease-in-out 0.3s;
    font-size: 10px;
}

/* ********************************ACCEUIL********************************** */


.acceuil{
    margin-top: 50px;
    display: flex;
    height: 100vh;
    background-image: url(images/photographe.png);
    overflow: hidden;
    background-size: cover;
    background-repeat: no-repeat;
    padding-left: 90px;
    padding-right: 90px;
    padding-top: 90px;
}

.acceuil .acctexte{
    width: 45%;
}

.acceuil .acctexte .title{
    color: var(--white);
    font-size: 3rem;
    margin-top: 60px;
}

.acceuil .acctexte .details{
    color: var(--white);
    margin-top: 10px;
    margin-bottom: 10px;
}

.acceuil .acctexte .btn{
    color: var(--black);
    text-decoration: none;
    border-radius: 12px;
    padding: 5px;
    margin-top: 50px;
    background-color: var(--or);
}

/* *********************************ullustration vidéo************************** */

.illustration{
    padding-left: 90px;
    padding-right: 90px;
    padding-top: 100px;
    padding-bottom: 120px;
    display: flex;
    justify-content: space-between;
    background-color: var(--or);
}

.illustration .illeft{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 45%;
}

.illustration .illeft .iltitle{
    font-size: 2rem;
}

.illustration .illeft .illtext{
    margin-top: 15px;
}

.illustration .illeft .satisfaction{
    margin-top: 20px;
    display: flex;
    align-items: baseline;
}

.illustration .illeft .satisfaction .trait{
    height: 2px;
    width: 30px;
    background-color: var(--black);
    margin-right: 8px;
}

.illustration .illright{
    width: 45%;
}

.illustration .illright .divider{
    display: flex;
    align-items: baseline;
    margin-bottom: 20px;
}

.illustration .illright .divider .trait{
    height: 2px;
    width: 60%;
    background-color: var(--black);
    margin-right: 8px;
}

.illustration .illright .divider h4{
    width: 40%;
}

.illustration .illright .video{
    display: flex;
    width: 100%;
    background-color: black;
}

.illtext{
    font-size: 1rem;
}

/* **********************************realisations***************** */
.realisations{
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-left: 90px;
    padding-right: 90px;
}

.realTitle{
    font-size: 2rem;
    margin-top: 35px;
    margin-bottom: 10px;
    text-align: center;
}

.realisations .imagesgrid{
    width: 100%;
    columns: 4;
    /* display: grid;
    justify-content: center;
    align-items: center;
    grid-template-columns: repeat(auto-fill, 200px);
    grid-gap: 10px; */
    transition: 0.3s ease-in-out;
    gap: 20px;
}

.realisations .imagesgrid .image{
    break-inside: avoid;
    width: 200px;
    overflow: hidden;
    max-height: 400px;
    /* box-shadow: 3px 5px black; */
}

.realisations .imagesgrid  :hover {
    transition: 0.3s ease-in-out;
    transform: scale(1.05) rotate(1.01deg);
    
}

/* ******************************statistics****************** */
#realisations{
    padding-top: 60px;
}
.stats{
    padding-left: 90px;
    padding-right: 90px;
    margin-bottom: 30px;
    margin-top: 40px;
    /* padding-top: 10px; */
    display: grid;
    grid-template-columns: repeat(auto-fill, 130px);
    gap: calc((100% - 520px)/4);
    row-gap: 20px;
    justify-content: space-evenly;
    /* border-top: solid 1px var(--black) ; */
    /* border-bottom: solid 1px var(--black) ; */
}
.stats .type{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 130px;
    background-image: url(images/pinceau3.png);
    background-position: 50% 50%;
    background-repeat: no-repeat;
    background-size:contain;
}
.stats .type h4{
    font-size: 1.6rem;
}
.stats .type p{
    display: flex;
    justify-content: center;
    font-size: 0.8rem;
    width: 100%;
}

/* **********************************services********************* */
.services{
    padding-top: 20px;
}

.servicesgrid{
    padding-top: 20px;
    display: grid;
    grid-template-columns: repeat(auto-fill, 220px) ;
    gap: calc((100% - 750px)/5 );
    align-items: center;
    justify-content: center;
}

.services .service{
    width: 220px;
    height: 300px;
    /* background-image: url(images/studio.jpg); */
    background-size: cover;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-end;
    overflow: hidden;
    box-shadow: var(--boxshadow);
}

.see{
    opacity: 0.85;
    margin-bottom: 0;
    width: 100%;
    height: 150px;
    background-color: var(--black);
    display: flex;
    flex-direction: column;
    align-items: center;
    color: var(--white);
    transition: 0.4s ease-in-out;
    text-align: center;
}

.services .service .servicedetails {
    opacity: 0.85;
    margin-bottom: -130px;
    width: 100%;
    height: 150px;
    padding-top: 8px;
    background-color: var(--black);
    display: flex;
    flex-direction: column;
    align-items: center;
    color: var(--white);
    transition: 0.4s ease-in-out;
    text-align: center;
}

.services .service .servicedetails h5{
    z-index: 100;
    opacity: 1;
    margin-bottom: 4px;
}


/* *******************************footer********************** */

footer{
    margin-top: 50px;
    display: flex;
    justify-content: space-evenly;
    background-color: rgb(17, 15, 15);
    padding-left: 90px;
    padding-right: 90px;
    padding-top: 50px;
    height: 160px;
}

footer .trait{
    width: 2px;
    height: 100%;
    background-color: var(--white);
}

footer .footleft {
    width: 40%;
}


footer .footleft h3{
    color: var(--or);
    margin-bottom: 20px;
}

footer .footleft .link{
    margin-bottom: 10px;
}

footer .footleft .link :hover{
    letter-spacing: 2px;
    transition: ease-in-out .5s;
}

footer .footleft .link a{
    text-decoration: none;
    color: var(--white);
}



footer .footleft .link i{
    color: var(--white);
}

footer .footleft .link a :hover{
    cursor: pointer;
}

footer .footright {
    width: 40%;
}

footer .footright .link a{
    text-decoration: none;
    color: var(--white);
}

footer .footright .link :hover{
    letter-spacing: 2px;
    transition: ease-in-out .5s;
}

footer .footright h3{
    color: var(--or);
    margin-bottom: 20px;
}
footer .footright .link {
    color: var(--white);
    margin-bottom: 10px;
}











@media (max-width: 674px){
    .realisations .imagesgrid{
        columns: 3;
    }
}


@media (max-width: 674px){

    .acceuil{
        background-image: url(images/photo-portrait.png);
    }
    header nav ul{
        display: none;
    }
    
    header nav #menu{
        display: block;
    }

    
    .stats{
        display: grid;
        grid-template-columns: repeat(auto-fill, 130px);
        gap: 25px;
        row-gap: 20px;
        padding-left: 30px;
        padding-right: 30px;
    }
    /* .stats .type{

    } */

    .realisations{
        padding-left: 25px;
        padding-right: 25px;
    }

    .realisations .imagesgrid{
        grid-template-columns: repeat(auto-fill, 100px);
        grid-gap: 10px;
        transition: 0.3s ease-in-out;
    }

    .realisations .imagesgrid .image{
        width: 100px;
        overflow: hidden;
        /* box-shadow: 3px 5px black; */
    }
    footer  h3 {
        font-size: 1rem;
    }
    footer  .link a{
        font-size: 80%;
    }

}

@media (max-width: 754px){

    .stats{
        display: grid;
        grid-template-columns: repeat(auto-fill, 130px);
        gap: 25px;
        row-gap: 20px;
    }
    .stats .type{
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 130px;
    }

}

@media (max-width: 928px){
    .illustration{
        flex-direction: column;
        padding-left: 35px;
        padding-right: 35px;
    }

    .illustration .illeft{
        width: 100%;
    }

    .illustration .illright{
        padding-top: 35px;
        width: 100%;
    }

    footer{
        margin-top: 70px;
    }

}

@media (max-width: 876px){
    .acceuil{
        display: flex;
        justify-content: center;
        padding-left: 12px;
        padding-right: 45px;
        padding-top: 30px;
    }
    .acceuil .acctexte{
        width: 80%;
        font-size: 1rem;
    }

    .acceuil .acctexte .title{
        color: var(--white);
        font-size: 2rem;
    }

    .servicesgrid{
        padding-top: 20px;
        display: grid;
        grid-template-columns: repeat(auto-fill, 180px) ;
        gap: 25px;
        align-items: center;
        justify-content: center;
    }
    
    .services .service{
        width: 180px;
        height: 250px;
    }

    footer{
        padding-left: 8px;
        padding-right: 8px;
        padding-top: 50px;
    }

}